# Projekte

## Project Schema

<table><thead><tr><th>Field Name</th><th>Field Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>string</td><td>The name of the project.</td></tr><tr><td>status</td><td>enum</td><td><p>one of: </p><pre><code>ACQUISITION
PROGRESS
SALES
SOLD
</code></pre></td></tr><tr><td>note</td><td>string</td><td></td></tr><tr><td>warning_notice</td><td>string</td><td>Shown in the project as a red warning bar</td></tr><tr><td>broker_id</td><td>integer</td><td>Reference who is responsible for the project. See "Nutzer" table</td></tr><tr><td>title</td><td>string</td><td>headline for the exposé</td></tr><tr><td>for_rent</td><td>boolean</td><td>to be marked as a project for rental properties</td></tr><tr><td>street</td><td>string</td><td></td></tr><tr><td>house_number</td><td>string</td><td></td></tr><tr><td>zip_code</td><td>string</td><td></td></tr><tr><td>city</td><td>string</td><td></td></tr><tr><td>lat</td><td>float</td><td>latitude</td></tr><tr><td>lng</td><td>float</td><td>longitude</td></tr><tr><td>location_id</td><td>integer</td><td>see "Geolagen" table</td></tr><tr><td>courtage</td><td>string</td><td></td></tr><tr><td>courtage_note</td><td>string</td><td></td></tr><tr><td>description_note</td><td>string</td><td></td></tr><tr><td>location_note</td><td>string</td><td></td></tr><tr><td>furnishing_note</td><td>string</td><td></td></tr><tr><td>construction_year</td><td>integer</td><td></td></tr></tbody></table>

## Projekte abrufen

<mark style="color:blue;">`GET`</mark> `https://api.propstack.de/v1/projects`

Mit diesem Endpoint erhältst du alle Projekte des Unternehmens.

#### Path Parameters

| Name   | Type   | Description                                                                                                                                      |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| expand | string | Wert ist egal, z.B. `1`. Wenn der Parameter gesetzt ist, werden die erweiterten Daten zurückgegeben, wie wenn man ein einzelnes Projekt aufruft. |

{% tabs %}
{% tab title="200 successfully retrieved." %}

```javascript
[
  {
    "id": 23,
    "title": "Living Home",
    "status": {
      "label": "Vertrieb",
      "color": "#123123"
    },
    "broker_id": 66,
    "title_image": {
      "url": "https://...jpg",
      "square_url": "https://...jpg"
    },
    "project_id": "LH",
    "sub_headline": null,
    "tagline": null,
    "logo_url": "https://...jpg",
    "street": "Hauptstraße",
    "house_number": "12",
    "sublocality_level_1": "Kreuzberg",
    "zip_code": "12345",
    "city": "Berlin",
    "address": "Hauptstraße 12, 12345 Berlin, Deutschland",
    "lat": 13.4483934,
    "lng": 49.3483043,
    "hide_address": false,
    "custom_fields": {}
  }
]
```

{% endtab %}
{% endtabs %}

## Create a Project

<mark style="color:blue;">`POST`</mark> `https://api.propstack.de/v1/projects`

**Request Body**

| Name    | Type   | Description        |
| ------- | ------ | ------------------ |
| project | object | See project schema |

**Response**

**201 Created**

```javascript
{
  "ok": true,
  "id": 24
}
```

## Projekt abrufen

<mark style="color:blue;">`GET`</mark> `https://api.propstack.de/v1/projects/:id`

#### Path Parameters

| Name | Type   | Description      |
| ---- | ------ | ---------------- |
| id   | number | ID des Projektes |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": 23,
  "title": "Living Home",
  "status": {
    "label": "Vertrieb",
    "color": "#123123"
  },
  "broker_id": 66,
  "title_image": {
    "url": "https://...jpg",
    "square_url": "https://...jpg"
  },
  "project_id": "LH",
  "sub_headline": null,
  "tagline": null,
  "logo_url": "https://...jpg",
  "street": "Hauptstraße",
  "house_number": "12",
  "sublocality_level_1": "Kreuzberg",
  "zip_code": "12345",
  "city": "Berlin",
  "address": "Hauptstraße 12, 12345 Berlin, Deutschland",
  "lat": 13.4483934,
  "lng": 49.3483043,
  "hide_address": false,
  "custom_fields": {},
  "description_note": "...",
  "location_note": "...",
  "images": [
    {
      "id": 123,
      "is_floorplan": false,
      "is_private": true,
      "title": "Schlafzimmer",
      "url": "https://...",
      "square_url": "https://..."
    }
  ],
  "floorplans": [
    {
      "id": 123,
      "title": "Grundriss",
      "url": "https://..."
    }
  ],
  "documents": [
    {
      "id": 123,
      "title": "Dokument A",
      "is_private": true,
      "url": "https://..."
    }
  ],
  "links": [
    {
      "id": 123,
      "title": "Homepage",
      "url": "https://..."
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Update a Project

<mark style="color:blue;">`PUT`</mark> `https://api.propstack.de/v1/projects/:id`

**Path Parameters**

| Name | Type   | Description                  |
| ---- | ------ | ---------------------------- |
| id   | number | ID of the project to update. |

**Request Body**

| Name    | Type   | Description        |
| ------- | ------ | ------------------ |
| project | object | See project schema |

**Response**

**200 OK**

```javascript
{
  "id": 24,
  "title": "Updated Project",
  ...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
